-- 客户主营类型 由 单个 改为 多个逗号分隔
alter table `ecw_customer`
    change column `product_type` `product_types` varchar(300) DEFAULT NULL COMMENT '主营类型，多个逗号分隔';

-- 因为客户跟进表会有原来的跟进数据录入，故需要先把原来的跟进跟进编号录入到日志表中
-- 注意更新后 需要在应用启动前执行。因为此表会缓存。
insert into ecw_order_number_log(number_key, `number`, type, version, creator, create_time, updater, update_time, deleted)
select 'followup:new:number', max(`number`), 6, 0, 1, CURRENT_TIMESTAMP, 1, CURRENT_TIMESTAMP, 0 from ecw_customer_followup;
