-- 增加订单的到仓数据字段
alter table ecw_order
    add COLUMN `check_num` int DEFAULT '0' COMMENT '到仓件数';
alter table ecw_order
    add COLUMN `check_volume` decimal(10, 2) DEFAULT '0.00' COMMENT '到仓体积';
alter table ecw_order
    add COLUMN `check_quantity` int DEFAULT '0' COMMENT '到仓数量';
alter table ecw_order
    add COLUMN `check_weight` decimal(10, 2) DEFAULT '0.00' COMMENT '到仓重量';

alter table ecw_order_item
    add COLUMN `check_material` varchar(255) DEFAULT NULL COMMENT '到仓材质';
alter table ecw_order_item
    add COLUMN `warehouse_check_prod_attr_ids` varchar(50) DEFAULT NULL COMMENT '到仓商品特性(可选多个特性ID)';
alter table ecw_order_item
    add COLUMN  `check_brand` bigint DEFAULT NULL COMMENT '到仓品牌';
alter table ecw_order_item
    add COLUMN  `check_brand_type` tinyint DEFAULT 0 COMMENT '到仓：0 无牌 1 有牌 2 中性';
alter table ecw_order_item
    add COLUMN  `warehouse_check_info` json DEFAULT NULL COMMENT '到仓信息json';

-- 跟进记录菜单
INSERT INTO `system_menu` (`name`, `permission`, `menu_type`, `sort`, `parent_id`, `path`, `icon`, `component`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `is_show_in_menu_bar`, `name_en`, `keepalive`, `redirect`, `badge_field`) VALUES ( '跟进记录', '', 2, 1, 1417, 'offer/logList', 'log', 'ecw/offer/logList', 0, '2702', '2024-10-27 12:02:57', '2702', '2024-10-27 12:04:30', b'0', b'1', 'followLog', b'0', NULL, NULL);
