-- 判断控货订单的限制属性设置
update ecw_order set is_limit_update_consignee = has_consignee, lock_consignee_day = IF(lock_consignee_day is not null,lock_consignee_day,30), lock_consignee_time = IF(unload_time is not null,  CONCAT(DATE_FORMAT(DATE_ADD(unload_time, INTERVAL lock_consignee_day DAY),'%Y-%m-%d'), ' 23:59:59'), NULL) WHERE is_cargo_control = 1;

-- 进口城市的仓库设置免租期默认30天，
update ecw_warehouse w left join ecw_region r on w.shi = r.id set rent_free_days = 30, lock_recipient_days = 30 WHERE r.type in(1,3);